#!/bin/bash


# File:        linex-artwork-selec
# Author:      Antonio Moreno <antoniomoreno@edu.juntaextremadura.net>
#
# Este script modifica el escritorio de un ordenador de Secundaria conforme a 
# las aplicaciones que sean específicas de su especialidad de docente o las propias
# de estudiante. Las aplicaciones deben estar ya instaladas, con la 
# ejecución de este script sólo se modifican los iconos  de modo que en la
# categoría Educación se carguen los lanzadores que corresponden a la 
# especialidad docente que se indique;
# 1.- Lengua, Literatura e Idiomas
# 2.- Geografía e Historia
# 3.- Matemáticas
# 4.- Física, Guímica, Biologia, Geología
# 5.- Plástica
# 6.- Música
# 7.- Educación Física
# 8.- Tecnología
# 9.- Estudiante.
# IMPORTANTE:  Previamente deben instalarse gnome-icon-theme (>=2.24), 
# gnome-icon-theme-hydroxygen-secundaria, desktop-gdm-linexedu, 
# desktop-management-linexedu y desktop-design-linexedu, que aportan el 
# conjunto de la interfaz del escritorio. Este script personaliza aplicaciones.cfg, 
# el sistema de iconos y lanzadores clasificados en 5 categorías
# específicamente ubicados y propios de cada especialidad docente.
# Los iconos centrales superiores se modifican conforme el pc se encuentre 
# conectado a la red del Centro o no.
#
# Copyright (C) 2011 A. Moreno.
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#
# Esta debiera ser la orden que se ejecute:
# ./linex-artwork-selec.bsh 1 2 3 4 5 6 7 8 9

# set -x


echo "Inicio de ejecución de la personalización, $FECHA";
# Al menos 1 parámetro
if [ $# -lt 1 ]
then
  echo "Uso: linex-artwork-selec.bsh {(1) LenguaLiteraturaeIdiomas} {(2) GeografíaeHistoria} {(3) Matemáticas} { (4) FísicaGuímicaBiologiaGeología} { (5) Plástica} { (6) Música} { (7) EducaciónFísica} { (8) Tecnología} { (9) Estudiante:}";
  exit 0;
fi

echo "Configurando el escritorio para la especialidad indicada...";

#EMPIEZA LA PARAMETRIZACIÓN:

case $1 in

# LenguaLiteraturaeIdiomas:###########################
"1")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones1Lengua.cfg /etc/aplicaciones.cfg
	;;

# GeografíaeHistoria ###############################
"2")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones2GeoHis.cfg /etc/aplicaciones.cfg
	;;

# Matemáticas ###################################
"3")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones3Mates.cfg /etc/aplicaciones.cfg
	;;

# FísicaGuímicaBiologiaGeología ########################
"4")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones4FQBG.cfg /etc/aplicaciones.cfg
	;;

# Plástica ######################################
"5")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones5Plas.cfg /etc/aplicaciones.cfg
	;;

# Música ######################################
"6")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones6Mus.cfg /etc/aplicaciones.cfg
	;;

# EducaciónFísica #################################
"7")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones7EdFis.cfg /etc/aplicaciones.cfg
	;;

# Tecnología ####################################
"8")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	cp  /usr/share/desktop-design-linexedu/aplicaciones8Tecno.cfg /etc/aplicaciones.cfg
	;;

# Estudiante ####################################
"9")
	echo "personalizando los lanzadores de aplicaciones del escritorio...";
	# esto ya es propio de la especialidad:
	cp  /usr/share/desktop-design-linexedu/aplicaciones9Estudiante.cfg /etc/aplicaciones.cfg
	;;

esac 
	
echo "Uso: linex-artwork-selec.sh {(1) LenguaLiteraturaeIdiomas} {(2) GeografíaeHistoria} {(3) Matemáticas} { (4) FísicaGuímicaBiologiaGeología} { (5) Plástica} { (6) Música} { (7) EducaciónFísica} { (8) Tecnología} { (9) Estudiante:}"

exit 0


